# Update a level

> For the complete documentation index, see [llms.txt](https://developer.rippling.com/llms.txt). Every page is available as Markdown by adding .md to its URL.

> Update a specific level.

Source: https://developer.rippling.com/documentation/rest-api/reference/update-levels

`PATCH https://rest.ripplingapis.com/levels/{id}/`

Update a specific level.

- OAuth scopes: `levels.read-write`
- Requires: API_Tier_1

## Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `id` | path | string, id | Yes | ID of the resource to patch |

## Request body (`application/json`)

- `name` (string): The name of the level. Must be unique within the company or organization.
- `global_level` (integer): Global level is used to track the seniority of levels. The higher up a level is placed on the page, the more senior and higher-ranked the level. Global level is used in workflows, policies, and reports that use the level attribute (e.g., y…
- `description` (string): The description of the level.
- `scope_of_responsibilities` (string): The scope of responsibilities for the level.
- `experience_requirements` (string): The experience requirements for the level.
- `track_id` (string): The track associated with the level. Required during creation. Include global_level when changing it.

## Responses

### 200: Successful response

- `id` (string, required): Identifier field
- `created_at` (string, required): Record creation date
- `updated_at` (string, required): Record update date
- `name` (string, required): The name of the level. Must be unique within the company or organization.
- `parent_id` (string): The parent level.
- `parent` (object): The parent level. Expandable field
- `global_level` (integer): Global level is used to track the seniority of levels. The higher up a level is placed on the page, the more senior and higher-ranked the level. Global level is used in workflows, policies, and reports that use the level attribute (e.g., y…
- `description` (string): The description of the level.
- `scope_of_responsibilities` (string): The scope of responsibilities for the level.
- `experience_requirements` (string): The experience requirements for the level.
- `rank` (integer): The rank of the level within its track.
- `track_id` (string): The track associated with the level. Required during creation. Include global_level when changing it.
- `track` (object): The track associated with the level, if it's not a global level. Expandable field
  - `id` (string, required): Identifier field
  - `created_at` (string, required): Record creation date
  - `updated_at` (string, required): Record update date
  - `name` (string, required): The name of the track. Must be unique within the company or organization.
  - `is_default` (boolean): Whether this is the company's default track.
  - `order` (integer): The one-based horizontal display order of the track.
  - `start_global_level` (integer): The highest global level occupied by this track. Empty tracks return null.
